
//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  LDs.asm
//**       Project:  Mini Sumo Project
//**       Created:  18 Feb 2009 by Josh Sparrow
//**       Revised:  18 Feb 2009 by Josh Sparrow
//**
//**   Description:  Gateway routine to dump the line detector pins to ram.
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************

//=======================================================
//	Update_LDs
//	This routine is used to get the data from the
//	line detectors and put it in ram.

Update_LDs:

	//Store registers
	st	r0, sp, 0
	st	r1, sp, 1
	st	r2, sp, 2
	st	r6, sp, 3		
	add	sp, sp, 4

	inp	r0,GPAin
	and	r0,r0,0x00F0
	xor	r0,r0,0x0080
//	mov	r1,5000
//	jsr	r6,Delay
	inp	r1,GPAin
	and	r1,r1,0x00F0
	xor	r1,r1,0x0080
//	sub	r0,r1,r0
//	bc	ZC,End_LD	
	ld	r2,DEFdata
	and	r2,r2,0xFF0F
	add	r1,r1,r2
	st	r1,DEFdata
End_LD:

	//Restore registers	
	sub	sp, sp, 4	
	ld	r6, sp, 3		
	ld	r2, sp, 2
	ld	r1, sp, 1
	ld	r0, sp, 0
	
	jsr	r6, r6