//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  LEDs.h
//**       Project:  XInc2 Library
//**       Created:  04 Jan 2003 by Ryan Northcott
//**       Revised:  08 Sep 2006 by Dan Beutel
//**
//**   Description:  Constants used by the routines in "LEDs.asm".
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************

#ifndef __LIB_LEDS_H__
#define __LIB_LEDS_H__

#define	kDevLED_PortA_Cfg		GPAcfg
#define	kDevLED_PortA		GPAout
#define	kDevLED_PortA_Init	0xFFFF

#define	kDevLED_PortC_Cfg		GPCcfg
#define	kDevLED_PortC		GPCout
#define	kDevLED_PortC_Init	0xFFFF

#define	kDevLED_PortD_Cfg		GPDcfg
#define	kDevLED_PortD		GPDout
#define	kDevLED_PortD_Init	0xFFFF

#endif