//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  Threada.asm
//**       Project:  Quick Start Project
//**       Created:  25 Jun 2002 by Ryan Northcott
//**       Revised:  08 Sep 2006 by Dan Beutel
//**
//**   Description:  This thread is an artificial thread that runs as a subroutin in Thread4.
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************

Threada:
	// Store registers on stack
	st	r0, sp, 0
	st	r1, sp, 1
	st	r2, sp, 2
	st	r3, sp, 3	
	st	r4, sp, 4
	st	r5, sp, 5	
	st	r6, sp, 6
	add	sp, sp, 7
	
	mov	r0,1
	st	r0,Dir0
	st	r0,Dir1
	
	mov	r0,50
	st	r0,PWMdata0
	st	r0,PWMdata1
		
Loop_A:
	mov	r0,0x0C01
	st	r0,SENcfg0
	jsr	r6,SENcheck
	ld	r0,SENdata0
	and	r0,r0,0x0C00
	bc	ZS,Loop_A
	
	mov	r0,0
	st	r0,Dir0
	st	r0,Dir1	
	
	mov	r0,100
	st	r0,PWMdata0
	st	r0,PWMdata1
	
Loop_B:
	mov	r0,0x0C00
	st	r0,SENcfg0
	jsr	r6,SENcheck
	ld	r0,SENdata0
	xor	r0,r0,0x0C00
	bc	ZC,Loop_B
	
	mov	r0,0
	st	r0,Dir0
	st	r0,Dir1	
	
	mov	r0,0
	st	r0,PWMdata0
	st	r0,PWMdata1
		



	//Restore registers
	sub	sp, sp, 7
	ld	r6, sp, 6
	ld	r5, sp, 5		
	ld	r4, sp, 4	
	ld	r3, sp, 3		
	ld	r2, sp, 2		
	ld	r1, sp, 1			
	ld	r0, sp, 0
	
	jsr	r6, r6


	bra	@	// Prevent this thread from running away if it is accidentally enabled in the main file