//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  XPD Echo Data.asm
//**       Project:  XInc2 Library
//**       Created:  04 Jan 2003 by Ryan Northcott
//**       Revised:  08 Sep 2006 by Dan Beutel
//**
//**   Description:  Data used by the routines in "XPD Echo.asm".
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************


table_bintohex:
	"0123456789ABCDEF"

MSG_COMMA:
	", ", EOS
MSG_NEWLINE:
	CR, LF, EOS

MSG_8SPACES:
	" "
MSG_7SPACES:
	" "
MSG_6SPACES:
	" "
MSG_5SPACES:
	" "
MSG_4SPACES:
	" "
MSG_3SPACES:
	" "
MSG_2SPACES:
	" "
MSG_SPACE:
	" ", EOS

MSG_HEX_PREFIX:
	"0x", EOS