//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  ADC.asm
//**       Project:  XInc2 Library
//**       Created:  01 Sep 2006 by Rodger Korus
//**       Revised:  10 Sep 2006 by Dan Beutel
//**
//**   Description:  Routines for configuring and enabling the Analog to Digital Converter. 
//**                
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************



	Start_ADC:					// Configure and Enable the ADC
		inp	r0, rADCcfg0
		bis	r0, r0, ADC_ENABLE	
		bis	r0, r0, 14
		bis	r0, r0, 13
		bis	r0, r0, 12
		//bis	r0, r0, 11
		bic	r0, r0, 0
		bic	r0, r0, 1
		outp	r0, rADCcfg0
		
	
	ResetADC:					//Resets the ADC
		inp	r0, rADCcfg1
		bis	r0, r0, 6
		outp	r0, rADCcfg1 
	  
	
		
