//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  Teat_Program_Data.asm
//**       Project:  Mini Sumo Project
//**       Created:  20 Feb 2009 by Josh Sparrow
//**       Revised:  20 Feb 2009 by Josh Sparrow
//**
//**   Description:  This file contains the strings used by Set_Drive.
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************


STRING_TP0:
	"Welcome the to sumo robot test program ", EOS

STRING_TP1:
	"Please select one of the following options: ", EOS

STRING_TP2:
	"1 - Take a test drive ", EOS

STRING_TP3:
	"2 - Display Sensor Status ", EOS

STRING_TP4:
	"3 - Set the LEDs ", EOS

STRING_TP5:
	"Let's take a test drive ", EOS

STRING_TP6:
	"4 - Dump ram register ", EOS

STRING_SD0:
	"Pick option 1-4. ", EOS

STRING_SD1:
	"1 - Simulate Sensors and Encoders ", EOS

STRING_SD2:
	"2 - Simulate Sensors only ", EOS

STRING_SD3:
	"3 - Simulate Encoders only ", EOS

STRING_SD4:
	"4 - Don't simulate Sensors or Encoders ", EOS

STRING_SD5:
	"Set SENcfg0: ", EOS
	
STRING_SD6:
	"Set direction: ", EOS

STRING_SD7:
	"Set turn angle [degrees]: ", EOS

STRING_SD8:
	"Set distance or radius [cm]: ", EOS

STRING_SD9:
	"Set the speed [duty cycle]: ", EOS

STRING_SD10:
	"Distance Traveled [cm]: ", EOS
	
STRING_SD11:
	"The data in ram is as follows: ", EOS

STRING_SD12:
	"DRIVEdata:   ", EOS

STRING_SD13:
	" (", EOS

STRING_SD14:
	") ", EOS

STRING_SD15:
	"SENcfg:        ", EOS

STRING_SD16:
	"SENdata:      ", EOS

STRING_SD17:
	"ECdata0:      ", EOS

STRING_SD18:
	"ECdata1:      ", EOS

STRING_SD30:
	"End ECdata0:  ", EOS

STRING_SD31:
	"End ECdata1:  ", EOS

STRING_SD28:
	"Max ECtime0:  ", EOS

STRING_SD29:
	"Max ECtime1:  ", EOS

STRING_SD19:
	"PWMdata0:  ", EOS

STRING_SD20:
	"PWMdata1:  ", EOS
	
STRING_SD21:
	"Dir0:             ", EOS

STRING_SD22:
	"Dir1:             ", EOS

STRING_SD23:
	"Repeat? ", EOS

STRING_SD24:
	"Yes ", EOS

STRING_SD25:
	"No ", EOS

STRING_SD26:
	"Change parameters? ", EOS
	
STRING_SD27:
	"Set SENcfg1: ", EOS
	
STRING_SDP0:
	"Press 1-4 for Bumper, LD, Sonar and IR repectively. ", EOS

STRING_SDP1:
	"Press Enter to continue. ", EOS
	
STRING_SDP2:
	"has been set. ", EOS

STRING_SDP3:
	"has been cleared. ", EOS

STRING_SDP4:
	"The sonar ", EOS

STRING_SDP5:
	"IR", EOS

STRING_SDP6:
	"Bumper switch #", EOS

STRING_SDP7:
	"Line detector #", EOS
	
STRING_SDP8:
	" ", EOS
	
STRING_SDP9:
	"No sensors have been set ", EOS
	
STRING_SDP10:
	"No sensors have been cleared", EOS

STRING_DS0:
	"The status of the sensors is as follows: ", EOS

STRING_DS1:
	"Press any key to return to the main menu.", EOS

STRING_SN:
	"Sonar:    ", EOS

STRING_AN0:
	"IR 0: ", EOS

STRING_AN1:
	"IR 1: ", EOS

STRING_AN2:
	"CS 0: ", EOS

STRING_AN3:
	"CS 1: ", EOS

STRING_BP0:
	"Bumper 0: ", EOS

STRING_BP1:
	"Bumper 1: ", EOS

STRING_BP2:
	"Bumper 2: ", EOS

STRING_BP3:
	"Bumper 3: ", EOS	

STRING_LD0:
	"Line Detector 0: ", EOS

STRING_LD1:
	"Line Detector 1: ", EOS

STRING_LD2:
	"Line Detector 2: ", EOS

STRING_LD3:
	"Line Detector 3: ", EOS

STRING_LED:
	"Press 0-3 to activate an LED ", EOS

STRING_RAM0:
	"This will dump a ram register to the terminal. Press Enter to stop. ", EOS

STRING_RAM1:
	"Enter a number which represent the ram register to dump: ", EOS

STRING_RAM2:
	"Would you like to dump another ram register? ", EOS