//*************************************************************************************************
//************************ (C) 2001 - 2006, Eleven Engineering Incorporated ***********************
//*************************************************************************************************
//**
//**		Tabs:	This file looks best with tab stops set every 6 spaces.
//**
//*************************************************************************************************
//*************************************************************************************************
//**
//**          File:  Thread2.asm
//**       Project:  Quick Start Project
//**       Created:  25 Jun 2002 by Ryan Northcott
//**       Revised:  7 Mar 2009 by Josh Sparrow
//**
//**   Description:  This file contains the application code that will be run by thread 2.
//**
//** Compatibility:  Requires XInA v4.4 or higher.
//**
//**    Disclaimer:  You may incorporate this sample source code into your program(s) without
//**                 restriction.  This sample source code has been provided "AS IS" and the
//**                 responsibility for its operation is yours.  You are not permitted to
//**                 redistribute this sample source code as "Eleven sample source code" after
//**                 having made changes.  If you are going to re-distribute the source, we require
//**                 that you make it clear in the source that the code was descended from Eleven
//**                 sample source code, but that you have made changes.
//**
//*************************************************************************************************
//*************************************************************************************************

	mov	r0,0
	st	r0,DRIVE_EN
Loop2:
	ld	r0,DRIVE_EN
	bc	ZS,Loop2
	
	jsr	r6,Drive

	mov	r0,0
	st	r0,DRIVE_EN
		
	bra	Loop2
	
	bra	@	// Prevent this thread from running away if it is accidentally enabled in the main file